fixef {lme4} | R Documentation

## Extract fixed-effects estimates

### Description

Extract the fixed-effects estimates

### Usage

      ## S3 method for class 'merMod'
     fixef(object, add.dropped=FALSE, ...)

### Arguments

`object` | any fitted model object from which fixed effects estimates can be extracted.
`add.dropped` | for models with rank-deficient design matrix, reconstitute the full-length parameter vector by adding `NA` values in appropriate locations?
`...` | optional additional arguments. Currently none are used in any methods.

### Details

Extract the estimates of the fixed-effects parameters from a fitted model.

### Value

a named, numeric vector of fixed-effects estimates.

### Examples

    fixef(lmer(Reaction ~ Days + (1|Subject) + (0+Days|Subject), sleepstudy))
    fm2 <- lmer(Reaction ~ Days + Days2 + (1|Subject),
                data=transform(sleepstudy,Days2=Days))
    fixef(fm2,add.dropped=TRUE)
    ## first two parameters are the same ...
    stopifnot(all.equal(fixef(fm2,add.dropped=TRUE)[1:2],
                        fixef(fm2)))

[Package lme4 version 1.1-21 Index]